Results 1 to 3 of 3
  1. #1
    Join Date
    Jun 2012
    Location
    California
    Posts
    83
    Plugin Contributions
    0

    Default linkpointapi.php, causing issues with payment configuration in Admin/Modules/Payment

    www.wildsteedworx.com
    1.5.5f
    PHP 7
    winchester_black_updated
    Admin New Order
    Edit Orders 4.3.3
    encrypted Master Password 2.3
    MSRP Display
    Personalized My Account Link
    Super Orders 4.0.9
    twitch_base_cost_16a_for_154
    TwitchHiddenSearchableModelNo_for_155f
    USPS_2018_03_28_K10
    usps_tracking_Master_Installed
    zen_TyPackageTracker-master
    add_customers_from_admin-2.0.9_Installed-No-Core-Changes
    ckeditor-462-for-zencart_Installed-No-Core-Changes
    EasyPopulate-4.0-master
    inventory_report
    monthly_sales_report-master-patched
    sitemapXML
    usps_address_validation


    Yes the list of plug-ins is long but they have all been in for a while and running for the most part trouble free.
    A couple I need to clean out but too many other things to do right now.

    Anywho, everything was running along great and then day before yesterday my PayPal account started throwing Curl Errors.
    I got around to looking at the Admin/modules/Payment page and it was partially breaking and not showing all of the page. I tracked it down, via the error logs, to a file named linkpointapi.php. I'm not using any payment systems that use that api nor have I installed any plugins that have needed that api, that I am aware of. It appears as though it is supposed to be one of the default payment systems that ZenCart lists but I cannot find any of it's files etc in the ZenCart 1.5.5f setup files.
    Can anyone tell me what this might be attached to so I can locate the plug-in etc to get it out of my site files.
    Anytime I would open the Admin/Modules/Payment page it would throw an error stating that there was a parse error in linkpointapi.php on line 385. Found "[" expecting ";" or ",". I checked out the file but I could not find any syntax issues in that area of the file.
    I currently have the file named "linkpointapiOld.php" and that has been preventing the errors and problems with PayPal and my customers checking out and it allows the payment page to load completely without throwing any errors but anytime I go to the Admin/Modules/Payments page it states the following at the top of the page:

    ERROR: module not loaded due to missing language file: /home/wildstee/public_html/includes/languages/english/modules/payment/linkpoint_apiOLD.php"

    Of course I know why that is happening but I do not know how to get rid of the associated plug-in etc in order to remove those files and be rid of it.

    Any help would be greatly appreciated.

    Thank You

  2. #2
    Join Date
    Jul 2012
    Posts
    12,541
    Plugin Contributions
    16

    Default Re: linkpointapi.php, causing issues with payment configuration in Admin/Modules/Paym

    Linkpoint is/was a plugin that was supported and included in ZC 1.5.4 and below. In ZC 1.5.5 it was not included nor upgraded. As noticed, it therefore was not included in the fileset, but somehow the file(s) remained a part of this particular store. Unfortunately what that seems to mean is that any file that was omitted/dropped/to be removed from a previous version of Zen Cart may still be present on this server.

    As to the file(s) associated, payment modules have two files by defautl: the language file and the payment file. So long as the file has a .php extension and is in includes/modules/payments it will try to load. If you want it "removed" either change the filename extension (ie: linkpoint_api.php becomes linkpoint_api.phpOLD ... so that it doesn't end in ".php") or remove the file from this area altogether.

    If the typical way to "remove" a file has been like above to just add "old" to the main name of the file then it is likely that there may be problems elsewhere in the store.

    To fix the problem with/caused by old linkpointapi software, remove includes/modules/payment/linkpointapi.php and then associated with that to also remove includes/languages/modules/payment/linkpointapi.php. Then associated with the "attempt" to remove the file, remove includes/modules/payment/linkpointapiOld.php

    For information, the features offered by linkpoint were picked up by the other available payment modules. Unfortunately that means that the linkpointapi code wasn't updated to work with PHP 7.x which is part of the problem experienced.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  3. #3
    Join Date
    Jun 2012
    Location
    California
    Posts
    83
    Plugin Contributions
    0

    Default Re: linkpointapi.php, causing issues with payment configuration in Admin/Modules/Paym

    Perfect answer, thank you so much.
    Everything with that issue is cleaned up now.

 

 

Similar Threads

  1. v155 Payment Modules Missing from Modules/Payment Modules When I Upgrade
    By greenftechn in forum Built-in Shipping and Payment Modules
    Replies: 11
    Last Post: 18 Apr 2017, 06:43 PM
  2. v139h Window configuration is not visible in payment modules section
    By dev80 in forum Addon Payment Modules
    Replies: 1
    Last Post: 20 Mar 2012, 12:52 AM
  3. Payment issues with authorize.net - seen before with other modules
    By mumzie in forum Built-in Shipping and Payment Modules
    Replies: 5
    Last Post: 18 Nov 2010, 02:35 AM
  4. Add payment gateway to admin payment modules list.
    By provida in forum General Questions
    Replies: 2
    Last Post: 3 Feb 2010, 05:59 PM
  5. payment module failed to open stream in admin/modules.php
    By hansolo2008 in forum Addon Payment Modules
    Replies: 1
    Last Post: 25 Apr 2008, 07:56 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR